package com.logicbig.example;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.core.Configuration;
import javax.ws.rs.core.Context;
import java.util.Map;

@Path("/")
public class ExampleResource {
    @Context
    private Configuration configuration;

    @GET
    @Path("/test1")
    public String getResponse() {
        Map<String, Object> properties = configuration.getProperties();
        properties.forEach((k, v) -> System.out.println(k + " = " + v));
        return "test response";
    }
}